#!/bin/sh
#
# make_rss.sh - Make the audio xml file for a podcast
# Some of the stuff is constant in my set up.
#
# Jeremy English jhe@jeremyenglish.org
#
# $1 = rss news
# $2 = Description
# $3 = Title
# $4 = Upload File
# $5 = Length
#

cat > $1 << EOF
<?xml version="1.0" encoding="iso-8859-1"?>
<rss version="2.0">
<channel>
<title>Audio News</title>
<link>http://www.jeremyenglish.org/audio_news/</link>
<description>$2</description>
<language>en-us</language>
<lastBuildDate>`date`</lastBuildDate>
<pubDate>`date`</pubDate>
<item>
<title>$3</title>
<description>$2</description>
<enclosure url="http://www.jeremyenglish.org/audio_news/$4" length="$5" type="audio/mpeg"/>
</item>
</channel>
</rss>
EOF