#!/usr/bin/perl -w

# Update the google markov podcast
# 
# Jeremy English

use Net::FTP;

#read the unique info
my $wrk_fld="/home/julie/.audio_news";
open( IN, "$wrk_fld/markov_unique");
my $id = <IN>;
chomp $id;
close(IN);

$ftp = Net::FTP->new('ftp.jeremyenglish.org');
#login removed to protect the innocent
$ftp->login('******************', '*********' );
print STDERR "Login\n";

$ftp->binary();

chdir '/home/julie/.audio_news';
$ftp->cwd('audio_news');

print STDERR "Uploading file\n";

my $p_er = 0;
my $res;
$res = $ftp->put('index.html') or $p_er=1;
if ($p_er){
	print "Could not put "."index.html: $!\n";
	print($ftp->message);
	print($ftp->code);
	exit 1;
print "\n\n";
}

$p_er = 0;
$res = $ftp->put('news.xml') or $p_er=1;
if ($p_er){
	print "Could not put "."news.xml: $!\n";
	print($ftp->message);
	print($ftp->code);
	exit 1;
print "\n\n";
}

$p_er = 0;
$res = $ftp->put('markov_news.xml') or $p_er=1;
if ($p_er){
	print "Could not put "."markov_news.xml: $!\n";
	print($ftp->message);
	print($ftp->code);
	exit 1;
print "\n\n";
}
print STDERR "Finished.\n";

$ftp->quit;

exit 0;
